/*
 *  [Asian Mapping Table]
 *      1. Language Encoding
 *      2. Locale
 *      3. Character Set
 *      4. Language Determinate Function
 *      5. Default Fontname
 */
/* Note: Order of the following definition is important,
 *       must match the LANG_ENCODING_* integer value because
 *       it has been used in abstractfont.c:intl_table by
 *       #include <this file> 
 */
INTL_DEF(LANG_ENCODING_WESTERN, LOCALE_WESTERN, CHARSET_WESTERN, \
	 NULL, INTL_DEFAULT_WESTERN_FONT)

INTL_DEF(LANG_ENCODING_SIMP_CHINESE, LOCALE_SIMP_CHINESE, CHARSET_SIMP_CHINESE,\
	 &is_simp_chinese_char, INTL_DEFAULT_SIMP_CHINESE_FONT)

INTL_DEF(LANG_ENCODING_TRAD_CHINESE, LOCALE_TRAD_CHINESE, CHARSET_TRAD_CHINESE,\
	 &is_trad_chinese_char, INTL_DEFAULT_TRAD_CHINESE_FONT)

INTL_DEF(LANG_ENCODING_JAPANESE, LOCALE_JAPANESE, CHARSET_JAPANESE, \
	 &is_japanese_char, INTL_DEFAULT_JAPANESE_FONT)

INTL_DEF(LANG_ENCODING_KOREAN, LOCALE_KOREAN, CHARSET_KOREAN, \
	 &is_korean_char, INTL_DEFAULT_KOREAN_FONT)

INTL_DEF(LANG_ENCODING_GBK, LOCALE_GBK, CHARSET_GBK,\
	 &is_gbk_char, INTL_DEFAULT_GBK_FONT)

INTL_DEF(LANG_ENCODING_UNKNOWN, LOCALE_UNKNOWN, CHARSET_UNKNOWN, \
	 NULL, INTL_DEFAULT_WESTERN_FONT)
